Bug 60621 - XmlDocument.Load() throws WebException when DTD url is not reachable
Summary: XmlDocument.Load() throws WebException when DTD url is not reachable
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.XML (show other bugs)
Version: master
Hardware: PC All
: --- normal
Target Milestone: Future Release
Assignee: Egorbo
URL:
Depends on:
Blocks:
 
Reported: 2017-11-10 15:36 UTC by Egorbo
Modified: 2018-01-05 13:27 UTC (History)
3 users (show)

Tags: bugpool-archive
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Egorbo 2017-11-10 15:36:07 UTC
Steps:
1) Switch off your internet connection
2) Execute 

new XmlDocument().Load("Info.plist");

where Info.plist is https://gist.github.com/EgorBo/b1997c73de4d9d34ffb9da5a2333e740

Mono: WebException
.NET: Success.

Code snippet: https://gist.github.com/EgorBo/1d727b4d9f5b4fc5a26c07056c8302b7
Comment 1 Egorbo 2017-11-15 02:41:07 UTC
https://github.com/mono/mono/pull/6014